/connectors/{id}Retrieve
This endpoint retrieves a specific connector.
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | number |
Query Parameters
| Name | Type |
|---|---|
healthDetails | boolean |
Responses
Connector object
Primary identifier
Name of the institution
Homepage of the institution
Image of the logo hosted by Pluggy
Primary color
Type of institution
Country located
Parameters required to start the connection
Credential details for a connector
Does the connector require an MFA to execute?
Products supported by the connector
If 'true', the connector requires an Oauth flow to execute
URL to perform Oauth flow if needed
URL to the financial institution to reset the password
Connector health status
'ONLINE' | 'OFFLINE' | 'UNSTABLE'
Statistics about your recent connections on the connector and recent connection rate (percentage of healthy connections). This field is only present if you include the parameter healthDetails=true. This will be null if there was an error obtaining health details.
Indicates if the connector uses the regulated Open Finance APIs
Indicates if the connector supports the payment initiation API
Indicates if the connector supports scheduled payments
Indicates if the connector supports smart transfers
Indicates if the connector supports boleto management
Indicates if the connector supports automatic Pix
Date of creation
Date of last modification
Example response
{
"id": 601,
"name": "Itaú",
"primaryColor": "EC7000",
"institutionUrl": "https://www.itau.com.br",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [
{
"validation": "^\\d{3}\\.?\\d{3}\\.?\\d{3}-?\\d{2}$",
"validationMessage": "CPF deve ter 11 números.",
"label": "CPF",
"name": "cpf",
"type": "number",
"placeholder": "",
"optional": false
}
],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/201.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"IDENTITY",
"CREDIT_CARDS",
"PAYMENT_DATA",
"LOANS",
"INVESTMENTS"
],
"createdAt": "2023-09-01T18:05:09.145Z",
"isSandbox": false,
"isOpenFinance": true,
"updatedAt": "2024-07-16T15:34:08.028Z",
"supportsPaymentInitiation": true,
"supportsScheduledPayments": true,
"supportsSmartTransfers": true,
"supportsBoletoManagement": true,
"supportsAutomaticPix": true
}Code Examples
curl -X GET 'https://api.pluggy.ai/connectors/{id}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'